package w83a.w83aOperacionesInternas.w83aDocumentacion;


import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;
/**
 * 
 * @author 
 *
 */
public class W83aBuscEscrutinioDiferenciaAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{				
		
		
		super.preProcessMappingEntrada(contexto, configBean, errors);
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {
		java.util.HashMap escrutinios=(java.util.HashMap)contexto.get("w83aListaEscrutinios");
		java.util.HashMap diferencias=(java.util.HashMap)contexto.get("w83aListaDiferencias");
		String accion=(String)contexto.get("action");
		if("findEscrutiniosC1".equals(accion)){
			contexto.set("w83aListaEscrutiniosC1",escrutinios);
		}if("findEscrutiniosC2".equals(accion)){
			contexto.set("w83aListaEscrutiniosC2",escrutinios);
		}if("findDiferenciasC1".equals(accion)){
			contexto.set("w83aListaDiferenciasC1",diferencias);
		}if("findDiferenciasC2".equals(accion)){
			contexto.set("w83aListaDiferenciasC2",diferencias);
		}
		
		super.postProcessMappingSalida(contexto, errors);
	}
	
}
